# Developer Documentation

This directory contains documentation for developers working on the async-python-cassandra-client library itself, not for users of the library.

## Contents

- [Developer Guide](DEVELOPER_GUIDE.md) - Development setup, testing, and CI/CD workflows
- [BDD Test Guide](BDD_TEST_GUIDE.md) - Guide to Behavior-Driven Development testing approach
- [API Monitoring Design](api-monitoring.md) - Internal monitoring API design and implementation

## For Library Users

If you're looking for documentation on **using** async-python-cassandra-client, please see:
- [Getting Started Guide](../docs/getting-started.md)
- [API Reference](../docs/api.md)
- [User Documentation](../docs/)

## Contributing

Before contributing, please read:
1. [Contributing Guidelines](../CONTRIBUTING.md)
2. [Developer Guide](DEVELOPER_GUIDE.md) for setup instructions
3. [BDD Test Guide](BDD_TEST_GUIDE.md) for testing approach
